﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx Self-test IEEE
DATE:                  2008-11-07 09:29:44
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       102
=============================================================================
#
#  Procedure Author:  VY, ZY
#
#  Model(s) Covered:  545xx series oscilloscopes
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         SELF-TEST
  1.003  TARGET
  1.004  DISP         Ensure no input connections are made to the UUT
  1.004  DISP         prior to executing the self test.

# Initialize elapsed time counter.
  1.005  MATH         Counter = 0
# Set the timeout value.
  1.006  MATH         TimeDown = 60000
  1.007  MATH         @Abort = 0
  1.008  IEEE         *SRE 0;*ESE 0;*CLS;*TST?
  1.009  MATH         MAV = 0
  1.010  MATH         Timeout = 0

# Serial poll the instrument until the ESB or MAV is set in the status byte.
  1.011  DO
  1.012  MATH         MEM2 = FTIME(Counter)
  1.013  HEAD         Self Test is executing. ([MEM2] has elapsed)
# MAV is bit 4 (decimal 16).
  1.014  IEEE         [SPL 16]

  1.015  IF           BIT(4, MEM)
  1.016  MATH         MAV = 1
  1.017  ELSE
  1.018  WAIT         [D1000]
  1.019  MATH         Counter = Counter + 1; TimeDown = TimeDown - 1000

  1.020  IF           TimeDown <= 0
  1.021  MATH         Timeout = 1
  1.022  ENDIF

  1.023  ENDIF

  1.024  UNTIL        MAV || Timeout

  1.025  IF           MAV
  1.026  MATH         Msg = "No error"
  1.027  MATH         @Abort = 0
  1.028  ELSEIF       Timeout
  1.029  MATH         Msg = "Timeout waiting for Message Available (MAV)"
  1.030  OPBR         [V Msg]
  1.030  OPBR
  1.030  OPBR         -z Do you wish to continue?

  1.031  IF           MEM1
  1.032  MATH         @Abort = 0
  1.033  ELSE
  1.034  MATH         @Abort = 1
  1.035  ENDIF

  1.036  ENDIF

  1.037  JMPL         END                    @Abort
  1.038  IEEE         [I$]
# It has been found that some Agilent units return "+0" rather than "0".
# This will trap both "0" or "+0" responses.
  1.039  EVAL   -e ZCMP(MEM2, "0") || ZCMPI(MEM2, "+0") : SELF TEST

  2.001  IF           FAIL()
  2.002  DISP         UUT SELF TEST failed!
  2.002  DISP
  2.002  DISP         The UUT may need to be serviced.
  2.002  DISP
  2.002  DISP         Procedure will be aborted.
  2.003  MATH         @Abort = 1

  2.004  ELSE
  2.005  MATH         @Abort = 0
  2.006  ENDIF

  2.007  LABEL        END
  2.008  END


